// <copyright file="FlexBusinessEntityPropertyDisplayInfo.cs" company="VEMA Calcul Electronic">
//   Copyright VEMA Calcul Electronic. All rights reserved.
// </copyright>
// <created>
//   <date value="2011.01.03" />
//   <author name="Emanuel Haisiuc" />
// </created>

namespace RO.Vema.Helper.Client.DataBinding
{
    /// <summary>
    /// Clasa retine informatiile de afisare ale unei proprietati a unei entitati de business.
    /// </summary>
    public class FlexBusinessEntityPropertyDisplayInfo
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="T:System.Object"/> class.
        /// </summary>
        public FlexBusinessEntityPropertyDisplayInfo(string propertyName, int visibleOrder, int width)
        {
            PropertyName = propertyName;
            VisibleOrder = visibleOrder;
            Width = width;
        }

        public string PropertyName { get; private set; }
        public int VisibleOrder { get; private set; }
        public int Width { get; private set; }
    }
}